# Uses of Interface
org.springframework.web.server.WebHandler

Packages that use WebHandler
Package
Description
org.springframework.web.server.adapter
Implementations to adapt to the underlying `org.springframework.http.client.reactive` reactive HTTP adapter and `HttpHandler`.
org.springframework.web.server.handler
Provides common WebHandler implementations and a `WebHandlerDecorator`.

## Uses of WebHandler in org.springframework.web.server.adapter

Classes in org.springframework.web.server.adapter that implement WebHandler
Modifier and Type
Class
Description
`class`
`HttpWebHandlerAdapter`
Default adapter of `WebHandler` to the `HttpHandler` contract.
Methods in org.springframework.web.server.adapter with parameters of type WebHandler
Modifier and Type
Method
Description
`static WebHttpHandlerBuilder`
WebHttpHandlerBuilder.`webHandler(WebHandler webHandler)`
Static factory method to create a new builder instance.
Constructors in org.springframework.web.server.adapter with parameters of type WebHandler
Modifier
Constructor
Description
``
`HttpWebHandlerAdapter(WebHandler delegate)`

## Uses of WebHandler in org.springframework.web.server.handler

Classes in org.springframework.web.server.handler that implement WebHandler
Modifier and Type
Class
Description
`class`
`ExceptionHandlingWebHandler`
WebHandler decorator that invokes one or more `WebExceptionHandlers` after the delegate `WebHandler`.
`class`
`FilteringWebHandler`
`WebHandlerDecorator` that invokes a chain of `WebFilters` before invoking the delegate `WebHandler`.
`class`
`WebHandlerDecorator`
`WebHandler` that decorates and delegates to another `WebHandler`.
Methods in org.springframework.web.server.handler that return WebHandler
Modifier and Type
Method
Description
`WebHandler`
WebHandlerDecorator.`getDelegate()`
Return the wrapped delegate.
`WebHandler`
DefaultWebFilterChain.`getHandler()`
Constructors in org.springframework.web.server.handler with parameters of type WebHandler
Modifier
Constructor
Description
``
`DefaultWebFilterChain(WebHandler handler, List<WebFilter> filters)`
Public constructor with the list of filters and the target handler to use.
``
`ExceptionHandlingWebHandler(WebHandler delegate, List<WebExceptionHandler> handlers)`
Create an `ExceptionHandlingWebHandler` for the given delegate.
``
`FilteringWebHandler(WebHandler handler, List<WebFilter> filters)`
Constructor.
``
`WebHandlerDecorator(WebHandler delegate)`
Create a `WebHandlerDecorator` for the given delegate.